﻿using System;
using DevExpress.ExpressApp.Security.Strategy;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace TestSecuritySolution.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class Employee: SecuritySystemUser
    {
        public Employee(Session session) : base(session)
        {
        }

        public string PhoneNumber
        {
            get { return GetPropertyValue<String>("PhoneNumber"); }
            set { SetPropertyValue("PhoneNumber", value); }
        }
        public string HomeAddress
        {
            get { return GetPropertyValue<String>("HomeAddress"); }
            set { SetPropertyValue("HomeAddress", value); }
        }
        public DateTime BirthDay
        {
            get { return GetPropertyValue<DateTime>("BirthDay"); }
            set { SetPropertyValue("BirthDay", value); }
        }
        public string MiddleName
        {
            get { return GetPropertyValue<String>("MiddleName"); }
            set { SetPropertyValue("MiddleName", value); }
        }
        public string FirstName
        {
            get { return GetPropertyValue<String>("FirstName"); }
            set { SetPropertyValue("FirstName", value); }
        }
        public string LastName
        {
            get { return GetPropertyValue<String>("LastName"); }
            set { SetPropertyValue("LastName", value); }
        }
    }
}
